<?php
  $ruta="../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
  include_once($ruta."funciones/funciones.php");
  session_start();  
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="LISTA DE PERSONAS";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1064;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>  
                </div>
              </div>
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row">
                <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                <div class="input-field col s6 m6 l6">
                  <input id="idcarnet" name="idcarnet" type="text" class="validate">
                  <label for="idcarnet">CARNET</label>
                </div>
                <div class="input-field col s6 m6 l6">
                  <button class="btn waves-effect darken-4 cyan" onclick="buscarci();"><i class="fa fa-search"></i> BUSCAR</button>
                </div>
               </div> 
              </div>
              <div class="row">
                <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                    <i style='color:#009C98; font-size:15px;' class='fa fa-check-circle'>Verificado</i>
                    <i style='color:#AC0000; font-size:15px;' class='fa fa-times-circle'>Rechasado</i>
                    <i style='color:#0068FF; font-size:15px;' class='fa fa-clock-o'>Pendiente de Aprobación</i>

                     <table id="TablaPer" class="display" cellspacing="0" width="100%">
                          <thead>
                            <tr>
                            <!--  <th>Cod</th> -->
                              <th style="width: 60%;">Persona</th> 
                              <th>Carnet</th> 
                              <th>Acciones</th> 
                            </tr>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
               </div> 
              </div>
            </div>     
            </div>

          </div>
          <?php
            //include_once("../footer.php");
          ?>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });

    });


function buscarci()
{
  carnet=$('#idcarnet').val();
  if (carnet!="")
  {
    location.href="persona/?lblcode="+carnet;
  }
  
}
//////////////////


     mostrarPersonas();
      function mostrarPersonas(){
      $("#TablaPer").dataTable().fnDestroy();
        var str="tipopersona='CLIENTE'";
        var table=$("#TablaPer").dataTable({
        "ajax":{
          "method":"POST",
          "url":"listarPersonas.php?"+str
        },
        "columns":[
          //{"data":"idpersona"},
          {"data":"nombre"},
          {"data":"carnet"},                  
          {"data":"bootones"}  
        ]
      });
      //eliminaItemCarrito("#TablaPer tbody",table);
    };
    </script>
</body>

</html>